# Class DisputeOpenedMessage

#### Hierarchy

- unknown
  - DisputeOpenedMessage

- Defined in src/protobuf/pb_pb.d.ts:1663
- Defined in src/protobuf/pb_pb.d.ts:1696

#####
Index

### Constructors

constructor

### Methods

clearDispute
clearPaymentSentMessage
clearSenderNodeAddress
getDispute
getPaymentSentMessage
getSenderNodeAddress
getType
getUid
getUpdatedMultisigHex
hasDispute
hasPaymentSentMessage
hasSenderNodeAddress
serializeBinary
setDispute
setPaymentSentMessage
setSenderNodeAddress
setType
setUid
setUpdatedMultisigHex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DisputeOpenedMessage(): DisputeOpenedMessage

- #### Returns DisputeOpenedMessage

  Inherited from jspb.Message.constructor

## Methods

### clearDispute

- clearDispute(): DisputeOpenedMessage

- #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1667

### clearPaymentSentMessage

- clearPaymentSentMessage(): DisputeOpenedMessage

- #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1686

### clearSenderNodeAddress

- clearSenderNodeAddress(): DisputeOpenedMessage

- #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1672

### getDispute

- getDispute(): undefined | Dispute

- #### Returns undefined | Dispute

  - Defined in src/protobuf/pb_pb.d.ts:1664

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- #### Returns undefined | PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1683

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1669

### getType

- getType(): SupportType

- #### Returns SupportType

  - Defined in src/protobuf/pb_pb.d.ts:1677

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1674

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1680

### hasDispute

- hasDispute(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1666

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1685

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1671

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1688

### setDispute

- setDispute(value?: Dispute): DisputeOpenedMessage

- #### Parameters

  - ##### `Optional` value: Dispute

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1665

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage): DisputeOpenedMessage

- #### Parameters

  - ##### `Optional` value: PaymentSentMessage

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1684

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): DisputeOpenedMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1670

### setType

- setType(value: SupportType): DisputeOpenedMessage

- #### Parameters

  - ##### value: SupportType

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1678

### setUid

- setUid(value: string): DisputeOpenedMessage

- #### Parameters

  - ##### value: string

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1675

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): DisputeOpenedMessage

- #### Parameters

  - ##### value: string

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1681

### toObject

- toObject(includeInstance?: boolean): DisputeOpenedMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DisputeOpenedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1689

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DisputeOpenedMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1692

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DisputeOpenedMessage, reader: BinaryReader): DisputeOpenedMessage

- #### Parameters

  - ##### message: DisputeOpenedMessage

  - ##### reader: BinaryReader

  #### Returns DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1693

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DisputeOpenedMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DisputeOpenedMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1691

### `Static` toObject

- toObject(includeInstance: boolean, msg: DisputeOpenedMessage): DisputeOpenedMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DisputeOpenedMessage

  #### Returns DisputeOpenedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1690

Generated using TypeDoc